package com.qihoo.security.services;

import com.qihoo.security.services.IDeepScan;

/**
 * QVS SDK 的客户端调用接口。客户端通过调用下面的 AIDL 接口与 QVS SDK 的服务进行交互。
 *
 * @author kongqinglong
 */
interface IDeepScanFactory
{
	/** 
	 * 获取引擎当前版本，例如 1001。本方法是常数查询，在引擎初始化前就可以调用。
	 * @return 返回内部版本号，比如1001。
	 */
	int getVersion();

    IDeepScan create(int reserved);
}
